.osy-datagrid {
    /*margin-top:5px;*/
}

.osy-datagrid table {
    width: 100%;
}

.osy-datagrid table.strict {
    width: inherit;
}

.osy-datagrid th, 
.osy-datagrid td {
    padding:2px 5px;
    vertical-align:top;
    font-size:14px;
}
.osy-datagrid td {
    border-top: 1px solid silver;
    background-color: white;
    padding: 10px 2px;
}
.osy-datagrid.mini td {
    padding: 2px;
}
.osy-datagrid .strict th, 
.osy-datagrid .strict td {
    margin:0px;
    padding:0px;
    border: 0px;
}
.osy-datagrid .osy-row-head th {
    background-color:#efefef;
}

.osy-datagrid .osy-row-head th.min {
    width:1px;
}
.osy-datagrid .osy-row-head th.max {
    width:100%;
}
.osy-datagrid .osy-row-head th.size-10 {
    width:10%;
}
.osy-datagrid .osy-row-head th.size-20 {
    width:20%;
}
.osy-datagrid .osy-row-head th.size-30 {
    width:30%;
}
.osy-datagrid .osy-row-head th.size-40 {
    width:40%;
}
.osy-datagrid .osy-row-head th.size-50 {
    width:50%;
}
.osy-datagrid .osy-row-head th.size-60 {
    width:60%;
}
.osy-datagrid .osy-row-head th.size-70 {
    width:70%;
}
.osy-datagrid .osy-row-head th.size-80 {
    width:80%;
}
.osy-datagrid .osy-row-head th.size-90 {
    width:90%;
}
.osy-datagrid .osy-row-head th.size-100 {
    width:100%;
}
.osy-datagrid .message {
    text-align: center;
    color: silver;
    font-family: monospace;
    padding:10px;
    text-wrap: nowrap;
}
.osy-datagrid .osy-type-date {
    text-align: center;
}
.osy-datagrid .osy-type-numeric {
    text-align: right;
}
.osy-datagrid .osy-type-html {
    padding:0px;
}

.osy-datagrid .cmd .label {
    min-width:20px;
    padding: 2px 2px;
    text-align:right;
    font-family: monospace;
    font-size:12px;
    color:rgb(186, 9, 9);
}
.osy-datagrid .osy-body {
    overflow-y:scroll;
    overflow-x:auto;
    border: 1px solid silver;
    min-height: 50px;
    border-radius: 5px;
    width:100%;
}
.osy-datagrid .osy-body.noHeader {
    border-top:0px;
}
.osy-datagrid .osy-body-title {
    position:absolute;
    border-bottom:1px solid silver;
    overflow: hidden;
    border-radius : 5px 5px 0px 0px;
}
.osy-datagrid .osy-body-title.hide {
    display:none;
}

.osy-datagrid .osy-header .osy-btn
{
    margin: -2px 0px 2px 0px;
    padding: 0px 10px;
}

.osy-datagrid.osy-component .search
{
    width: 250px;
    margin: 6px 0px 2px 10px;
    max-width: 40%;
    border: 1px solid silver;
    border-radius: 3px;
    padding: 2px 5px;
}

.osy-datagrid .osy-row-head
{
    text-transform: capitalize;
}
.osy-datagrid .osy-row-head .label
{
    overflow:hidden;
}
.osy-datagrid .osy-row-head .label div
{
}

.osy-datagrid tr.disable td,
.osy-datagrid tr.disabled td
{
    background-color:#dfe1e9;
    color: #999999;
}
.osy-datagrid tr.clickStop td
{
    cursor: initial;
}

.osy-datagrid .number
{
    text-align:right;
    padding-right:10px;
}

.osy-datagrid .osy-item-det .label code {
    width:100%;
    text-align:right;
    min-width:30px;
}

.osy-datagrid .commandBar {
    display:none;
}

.osy-datagrid.showCommand .commandBar {
    display:inline-block;
    height:0px;
}


.osy-datagrid .osy-item-det.selected td{
    background-color: #fbe3f0;
}
.osy-datagrid  .group{
    background-color: #fdf3ac !important;
}

.osy-datagrid .activable td {
    cursor: pointer;
}

.osy-datagrid .activable:hover td {
    background-color: #cbfcc5;
}
.osy-datagrid .activable.disable:hover td {
    background-color: #dadad4;
}


.osy-datagrid .col-group {
    border-left: 1px solid silver;
    border-right: 1px solid silver;
    border-top:0px;
}

.osy-datagrid .col-group.col-group-new {
    border-top:1px solid silver;
}

.osy-datagrid th.osy-type-money {
    text-align: center;
}
.osy-datagrid td.osy-type-money {
    text-align: right;
    padding-right:15px;
    font-family: monospace;
}
.osy-datagrid .osy-type-date,
.osy-datagrid .osy-type-datetime
{
    text-align:center;
}

.osy-datagrid .pag-sec {
    text-align:center;
    border-top:1px solid silver;
    background-color: #efefef;
}
.osy-datagrid .pag-sec .pag {
    border:1px solid silver; 
    padding:2px 10px; 
    border-radius:3px;  
    margin:5px; 
    display:inline-block;
    cursor: pointer;
    background-color: white;
}

.osy-datagrid .pag-sec .pag.select {
    background-color: #ceddef;
}
.osy-datagrid .err-code .title {
}

.osy-datagrid .err-code .source {
    font-family: 'Courier New', Courier, monospace;
    white-space: pre;
}